import type {SidebarsConfig} from '@docusaurus/plugin-content-docs';

/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */
const sidebars: SidebarsConfig = {
  // By default, Docusaurus generates a sidebar from the docs folder structure

  sparqlSidebar: [
    {
      type: "category",
      label: "SPARQL Queries",
      link: { type: "doc", id: "sparql-queries/sparql-queries" },
      items: [
        {
          type: "autogenerated",
          dirName: "sparql-queries",
        },
      ],
    },
  ],
  aboutSidebar: [
    {
      type: "category",
      label: "About",
      link: { type: "doc", id: "about/about" },
      items: [
        {
          type: "autogenerated",
          dirName: "about",
        },
      ],
    },
  ],
  ontologiesSidebar: [
    {
      type: "category",
      label: "Ontologies",
      link: { type: "doc", id: "ontologies/ontologies" },
      items: [
        {
          type: "autogenerated",
          dirName: "ontologies",
          
        },
      ],
    },
  ],


};

export default sidebars;
